<?php

/**
 * @file
 * Administration functions for displays.
 */

use Drupal\layout\Plugin\Core\Entity\Display;

/**
 * Page callback: Presents list of displays.
 *
 * @see display_menu()
 */
function display_page_list() {
  $controller = entity_list_controller('display');
  return $controller->render();
}

/**
 * Page callback: Presents the display editing form.
 *
 * @see display_menu()
 */
function display_page_edit(Display $display) {
  drupal_set_title(t('<em>Edit layout</em> @label', array('@label' => $display->label())), PASS_THROUGH);
  return entity_get_form($display);
}
