(function ($, window) {

"use strict";

/**
 * Add new blocks to a display.
 */
Drupal.behaviors.displayAddBlock = {
  attach: function () {
    $('.region_table .add_block').click(function () {
      var chars = "ABCDEFGHIJKLMNOPQRSTUVWXTZabcdefghiklmnopqrstuvwxyz";
      var randomString = '';
      for (var i=0; i < 8; i++) {
        var rnum = Math.floor(Math.random() * chars.length);
        randomString += chars.substring(rnum,rnum+1);
      }

      var block = '<div class="block"><div class="master_block"><div class="block_information"><span class="block_type_indicator mb_text">M</span><span class="block_label mb_text">' + randomString + '&nbsp;block</span></div><div class="mb_block_operations"><span class="gear mb_gear"></span></div></div></div>';
      $(this).parent().prepend(block);
    });

    // Apply drag and drop behavior.
    $('.region_blocks').sortable({
      items: '.block',
      connectWith: '.connectedSortable',
      cursor: 'move',
    });
    $('.region_blocks').disableSelection();
  }
};

})(jQuery, window);
